BiDiComplexExpression (CMDB Model API)
Keywords: com.collation.platform.model.util.BiDiComplexExpression class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.util
Class BiDiComplexExpression

    java.lang.Object
      com.collation.platform.model.util.BiDiComplexExpression

    public class BiDiComplexExpression

extends java.lang.Object

Field Summary
`static java.lang.String` | `EMAIL`
`static char` | `LRE`
`static char` | `LRM`
`static char` | `LRO`
`static java.lang.String` | `ORACLE`
`static java.lang.String` | `PATH`
`static char` | `PDF`
`static char` | `RLE`
`static char` | `RLM`
`static char` | `RLO`
`static java.lang.String` | `URL`

Constructor Summary
`BiDiComplexExpression()`
`BiDiComplexExpression(java.lang.String str, java.lang.String type)`

Method Summary
`java.lang.String` | `BiDiLogicalDisplay(boolean isLTRDisplayComponent)`
`java.lang.String` | `BiDiNormalization(java.lang.String inBiDiformat, java.lang.String outBiDiformat)`
`void` | `init(java.lang.String str, java.lang.String type)`
`static boolean` | `isBiDiString(java.lang.String str)`
`boolean` | `isCharBeforeBiDiChar_simple(int i)`
`boolean` | `isCharBeforeBiDiChar(int i)`
`static java.lang.String` | `stripSpecialCharacters(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH

    public static final java.lang.String PATH

See Also:
  Constant Field Values

### EMAIL

    public static final java.lang.String EMAIL

See Also:
  Constant Field Values

### URL

    public static final java.lang.String URL

See Also:
  Constant Field Values

### ORACLE

    public static final java.lang.String ORACLE

See Also:
  Constant Field Values

### LRO

    public static final char LRO

See Also:
  Constant Field Values

### RLO

    public static final char RLO

See Also:
  Constant Field Values

### PDF

    public static final char PDF

See Also:
  Constant Field Values

### LRE

    public static final char LRE

See Also:
  Constant Field Values

### RLE

    public static final char RLE

See Also:
  Constant Field Values

### LRM

    public static final char LRM

See Also:
  Constant Field Values

### RLM

    public static final char RLM

See Also:
  Constant Field Values

Constructor Detail

### BiDiComplexExpression

    public BiDiComplexExpression()

### BiDiComplexExpression

    public BiDiComplexExpression(java.lang.String str,
                                 java.lang.String type)

Method Detail

### init

    public void init(java.lang.String str,
                     java.lang.String type)

### BiDiNormalization

    public java.lang.String BiDiNormalization(java.lang.String inBiDiformat,
                                              java.lang.String outBiDiformat)

### BiDiLogicalDisplay

    public java.lang.String BiDiLogicalDisplay(boolean isLTRDisplayComponent)

### isBiDiString

    public static boolean isBiDiString(java.lang.String str)

### isCharBeforeBiDiChar_simple

    public boolean isCharBeforeBiDiChar_simple(int i)

### isCharBeforeBiDiChar

    public boolean isCharBeforeBiDiChar(int i)

### stripSpecialCharacters

    public static java.lang.String stripSpecialCharacters(java.lang.String str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD